/**
 * @packageDocumentation
 * @module String
 */
import { OperatorFunction, Subscribable } from 'rxjs';
/**
 * Returns an Observable that emits a string value from an `Array` or `Set` of values joined to a single string using
 * the separator.
 *
 * @category Convert
 *
 * @typeParam T The type of value in the source `Array` or `Map`
 *
 * @param separator The character to join text with, default is a space character
 *
 * @returns Observable that emits a string from an `Array` or`Set of values
 */
export declare function join(separator?: Subscribable<string> | string): OperatorFunction<Iterable<unknown>, string>;
